% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %                                                                       %
% %   right hand side of differential equation for                        %
% %   single FitzHugh-Nagumo neuron                                       %
% %                                                                       %
% %   written by C. Rummel, 2017/11/17                                    %
% %                                                                       %
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function dxdt = FitzHughNagumo1 (x)

    global epsilon gamma v_eq       % scalars

    dxdt = [f1_of_v(x(1)+v_eq) - f1_of_v(v_eq) - x(2); ...
            epsilon*(x(1)-gamma*x(2))];

end



function f1 = f1_of_v (v)

    global alpha                    % scalar

    f1 = v*(v-alpha)*(1-v);

end

