% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %                                                                       %
% %   right hand side of differential equation for                        %
% %   autonomous damped harmonic oscillator                               %
% %                                                                       %
% %   written by C. Rummel, 2017/11/17                                    %
% %                                                                       %
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function dxdt = harmosc (x)

    global gamma sig omega0

    dxdt = [x(2); ...
            -gamma*x(2)-sig*omega0^2*x(1)];

end

