



function err = rel_err (traj_approx, traj_exact, tme)

    err = zeros(1,size(traj_approx,2));     % absolute error
    rad = zeros(1,size(traj_approx,2));     % radius

% calculate relative error
    
    for n = 1:size(traj_approx,1)
        err = err + (traj_approx(n,:)-traj_exact(n,:)).^2;
        rad = rad + traj_exact(n,:).^2;
    end
    
    err = sqrt(err)./sqrt(rad);
    
% account for exponential divergence with integration time

    err = err./exp(tme);

end
